Skip to main content
GET
/
api
/
v2.1
/
calendar
/
earnings
Returns the earnings data
curl --request GET \
  --url 'https://api.benzinga.com/api/v2.1/calendar/earnings?token=' \
  --header 'accept: <accept>'
{
  "earnings": [
    {
      "currency": "USD",
      "cusip": "037833100",
      "date": "2026-10-29",
      "date_confirmed": 0,
      "eps": "",
      "eps_est": "1.990",
      "eps_prior": "1.850",
      "eps_surprise": "",
      "eps_surprise_percent": "",
      "eps_type": "",
      "exchange": "NASDAQ",
      "id": "69030cfb619d3a00015b72a3",
      "importance": 5,
      "isin": "US0378331005",
      "name": "Apple",
      "notes": "",
      "period": "Q4",
      "period_year": 2026,
      "revenue": "",
      "revenue_est": "",
      "revenue_prior": "102466000000.000",
      "revenue_surprise": "",
      "revenue_surprise_percent": "",
      "revenue_type": "",
      "ticker": "AAPL",
      "time": "16:00:00",
      "updated": 1766187011
    }
  ]
}
{
  "earnings": [
    {
      "currency": "USD",
      "cusip": "037833100",
      "date": "2026-10-29",
      "date_confirmed": 0,
      "eps": "",
      "eps_est": "1.990",
      "eps_prior": "1.850",
      "eps_surprise": "",
      "eps_surprise_percent": "",
      "eps_type": "",
      "exchange": "NASDAQ",
      "id": "69030cfb619d3a00015b72a3",
      "importance": 5,
      "isin": "US0378331005",
      "name": "Apple",
      "notes": "",
      "period": "Q4",
      "period_year": 2026,
      "revenue": "",
      "revenue_est": "",
      "revenue_prior": "102466000000.000",
      "revenue_surprise": "",
      "revenue_surprise_percent": "",
      "revenue_type": "",
      "ticker": "AAPL",
      "time": "16:00:00",
      "updated": 1766187011
    }
  ]
}

Authorizations

token
string
query
required

Headers

accept
enum<string>
default:application/json
required

Specifies return format. Query parameters work the same for both formats

Available options:
application/json

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date

pagesize
integer

Number of results returned. Limit 1000

parameters[date]
string<YYYY-MM-DD>

Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest

parameters[date_from]
string<YYYY-MM-DD>

Date to query from point in time

parameters[date_to]
string<YYYY-MM-DD>

Date to query to point in time

parameters[date_sort]
enum<string>

Field sort option for earnings calendar. Apply :desc, :asc for sort order

Available options:
date
parameters[importance]
enum<integer>

The importance level to filter by. Uses Greater Than or Equal To the importance indicated

Available options:
0,
1,
2,
3,
4,
5
parameters[tickers]
string<csv>

One or more ticker symbols separated by a comma. Maximum 50 tickers

parameters[updated]
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

Response

success

API response containing an array of earnings records

earnings
object[]